# $Id: xinitrc.spec,v 1.6 2003/01/24 17:02:38 ldv Exp $

Name: xinitrc
Version: 2.4.11
Release: alt1

Summary: The default startup scripts for the X Window System
License: GPL
Group: System/XFree86
BuildArch: noarch

Requires: %__subst
Conflicts: kde-settings < 3.1.0-alt3, kdebase < 3.0.2-alt5, kde-config < 1.0-alt5

Source: %name-%version.tar.bz2
Requires: app-defaults >= 0:0.2

%description
The %name package contains system scripts used to start
X Window System session.

%prep
%setup -q

%build
%make_build -C po

%install
%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/X11/wmsession.d

%__cp -av install/* $RPM_BUILD_ROOT/
%make_install install -C po
%find_lang xrootwarn

%post
%update_wms

%files -f xrootwarn.lang
%_sbindir/*
%_x11bindir/*
%_sysconfdir/X11/wmsession.d
%config %_sysconfdir/X11/Xsession
%config(noreplace) %_sysconfdir/sysconfig/*
%config(noreplace) %_sysconfdir/X11/xinit*
%config(noreplace) %_sysconfdir/X11/xdm/*

%changelog
* Fri Jan 24 2003 Dmitry V. Levin <ldv@altlinux.org> 2.4.11-alt1
- %_x11bindir/xscreenlock: new wrapper for xscreensaver/xlockmore.

* Tue Jan 21 2003 Dmitry V. Levin <ldv@altlinux.org> 2.4.10-alt1
- update_wms: updated.
- ru.po: updated xrootwarn translation.

* Fri Nov 15 2002 Dmitry V. Levin <ldv@altlinux.org> 2.4.9-alt1
- Xsession: pass args to scripts (#0001560).
- xrootwarn: workaround bash bug.

* Mon Nov 11 2002 Dmitry V. Levin <ldv@altlinux.org> 2.4.8-alt1
- Fixed system Xsession problem (#0000772).
- Fixed /etc/X11/xdm/Xresources (#0000965).
- Fixed autostart problem (#0001430).
- [INCOMPATIBLE] Changed user autostart directory to ~/.xsession.d/ (#0001431).
- Added sourcing of user ~/.xprofile file.
- Implemented xrootwarn.

* Wed Apr 10 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.7-alt1
- runwm: added --print option.
- Xsession: exec runwm default (#0000812).
- Set %_sysconfdir/X11/Xsession to %%config.

* Mon Mar 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.6-alt1
- update_wms: fixed GDM session generation (reported by Alexey Morozov).
- Xsession: redirect stderr to "~/.xsession-errors$DISPLAY".
- Xsession: source shell scripts from /etc/X11/profile.d/*.sh.
- Repackaged sources.

* Mon Feb 18 2002 Stanislav Ievlev <inger@altlinux.ru> 2.4.5-alt3
- Xresources moved into new app-defaults package

* Tue Feb 12 2002 Ivan Zakharyaschev <imz@altlinux.ru> 2.4.5-alt2.2
- change the License: Public Domain -> GPL (beacuse Xresources are under GPL)

* Mon Feb 11 2002 Ivan Zakharyaschev <imz@altlinux.ru> 2.4.5-alt2.1
- Xresources: sync with emacs-21.1-alt10 app-defaults

* Mon Jan 21 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.5-alt2
- Xsession: added support for forthcoming Xresources.* config files.

* Thu Jan 17 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.5-alt1
- runwm: return native WM names for "--list" option.
- update_wms: added WDM support.

* Wed Jan 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.5-alt0.1
- Rewritten wmsession.d support.

* Tue Apr 03 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.4-ipl38mdk
- Fixed Xsession to keep user-defined PATH.

* Wed Mar 07 2001 Dmitry V. Levin <ldv@fandra.org> 2.4.4-ipl37mdk
- /etc/X11/Xsession: execute as bash script.
- /etc/X11/Xresources: added wheel mouse translations for netscape.

* Fri Feb 16 2001 Dmitry V. Levin <ldv@fandra.org> 2.4.4-ipl36mdk
- /etc/X11/Xsession: source /etc/profile.d/lang.sh

* Wed Feb 14 2001 Dmitry V. Levin <ldv@fandra.org> 2.4.4-ipl35mdk
- Merged in patch from AEN.

* Sat Dec 30 2000 Dmitry V. Levin <ldv@fandra.org> 2.4.4-ipl34mdk
- Script cleanup.
- RE adaptions.

* Tue Dec 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.4-34mdk
- xinitrc-Mod_Meta_L_Disable: Add this ugly script, when a
  REMOVE_MOD_META_L=yes remove the MOD_META_L to make some
  applications happy (ie:xemacs).

* Tue Nov 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4.4-33mdk
- added support for ssh2 (bug #871).
- use bash -login only on Xsession for xdm (bug #1505).

* Fri Oct 13 2000 Pablo Saratxaga <pablo@manderakesoft.com> 2.4.4-32mdk
- added auto-launching of XIM servers.

* Fri Oct 06 2000 David BAUDENS <baudens@mandrakesoft.com> 2.4.4-31mdk
- Set HELP_BROWSER

* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4.4-30mdk
- removed ^@ in /etc/X11/Xsession.

* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4.4-29mdk
- remove xhost+ in /etc/X11/Xsession (let msec do this job).

* Tue Sep 12 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4.4-28mdk
- fix resources to make xdm starts the X server only once and let init do its job.

* Fri Sep 01 2000 David BAUDENS <baudens@mandrakesoft.com> 2.4.4-27mdk
- Use Linux-Mandrake colors for xsetroot

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.4.4-26mdk
- Xsetup_0: commented out the kdmdesktop and added line to fix background colors

* Tue Jun  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.4-25mdk
- Xsession: Resinsert /bin/bash -login.

* Mon Jun  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.4-24mdk
- Xsession: use /bin/sh instead of /bin/bash -login.

* Thu May  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4.4-23mdk
- fix path of WindowMaker in RunWM.

* Thu Apr 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4.4-22mdk
- added a fallback /etc/X11/xdm/Xsession.

* Thu Apr 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4.4-21mdk
- Xsession: merge ~/.Xdefaults too.

* Thu Apr 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.4-20mdk
- xinitrc-RunWM: set wmaker to the right path (thanks
  john.cavan@sympatico.ca).

* Tue Apr 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4.4-18mdk
- launch scripts in /etc/X11/xinit.d
- removed imwheel stuff.

* Fri Apr  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.4-18mdk
- Cvs import clean up spec file.

* Thu Apr  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.4-17mdk
- Another fix of Xsession.

* Thu Apr  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.4-16mdk
- Try to get chksession feature when launching with startx (aka:
  fix merge of flepied).

* Thu Apr  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.4.4-15mdk
- smaller xterm in Xsession for failsafe setting, in order
  to stay in screen when having 800x600

* Thu Mar 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4.4-14mdk
- activate imwheel only if WHEEL is yes in /etc/sysconfig/mouse.
- end the merge of xinit and xdm startup.

* Thu Mar 09 2000 Francis Galiegue <francis@mandrakesoft.com> 2.4.4-13mdk
- imwheel -k added to Xsession

* Wed Mar  1 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4.4-12mdk
- make Xsession ssh aware.

* Mon Feb  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4.4-11mdk

- unified xdm and startx init sequences.

* Thu Jan  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4.4-10mdk

- load xmodmaps the same way in xinit and xdm modes.

* Wed Dec 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Do an exec for chksession. (c) Chmouel.

* Wed Dec 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Do an exec (flepied).

* Wed Dec 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Xsession and Xclients for new chksession.

* Tue Dec 21 1999 Frederic Lepied <flepied@mandrakesoft.com> 2.4.4-5mdk

- fix RunWM for WindowMaker.
- fix Xclients to be able to launch something else than KDE, GNOME or AnotherLevel.

* Thu Dec 16 1999 Frederic Lepied <flepied@mandrakesoft.com>

- fixed a typo in /etc/X11/xinit/xinitrc.

* Wed Nov 24 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- By default if there is no windows manager launch icewm-light no fvwm.
- Put a midnight color by default.

* Wed Nov  3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add xmodmap files.
- 2.4.4.

* Thu Jul 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add Xsession files.
- Oups typo :-((

* Sun May 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- By default we run kde (again 8-)

* Mon May 03 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.
- By default Mandrake launch KDE.

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- argh, fixed my changes from yesterday

* Sun Apr 18 1999 Preston Brown <pbrown@redhat.com>
- added /etc/sysconfig/desktop support

* Mon Mar 22 1999 Bill Nottingham <notting@redhat.com>
- make /etc/X11/xinit/* %config (bug #1051)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- added ability to have KDE recognized if it is all that is installed

* Wed Jan 27 1999 Preston Brown <pbrown@redhat.com>
- updated so that GNOME is the default, and a few other cleanups

* Fri Sep 18 1998 Cristian Gafton <gafton@redhat.com>
- added the RunWM script and modified Xclients to use this new script

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- included WindowMaker hints

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 22 1998 Cristian Gafton <gafton@redhat.com>
- handle AfterStep (and possibly other window managers)

* Tue Nov 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- export the BROWSER variable.

* Fri Nov 08 1997 Cristian Gafton <gafton@redhat.com>
- added handling for the BROWSER variable

* Wed Oct 15 1997 Cristian Gaftin <gafton@redhat.com>
- updated for AnotherLevel

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built for glibc, added dependencies

* Thu Mar 20 1997 Erik Troan <ewt@redhat.com>
- Added /etc/X11/xinitrc/Xclients to this file and removed it from rootfiles
  and etcskel.
